Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

Creates a new protocol

Request

Security
Bearer
Body
idinteger(int32)

The database id for the protocol, required for updates

namestringrequired

The name of the protocol

makeNameUniqueboolean

Flag used for generating a unique protocol name. If true then the server has permission to make the protocol name unique if it already exists.

skipValidationboolean

When true the protocol will be saved to the database without being validated.

createdByUserNamestring or null

The name of the user that created the protocol

deckobject(DeckLayoutPostPutDto)required

The deck layout definition object for saving a deck

deck.​idinteger(int32)

The database id

deck.​positionsArray of objects or null(DeckPositionPostPutDto)

The deck positions numbered from 1 to 8

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocols' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": 0,
    "name": "string",
    "makeNameUnique": true,
    "skipValidation": true,
    "createdByUserName": "string",
    "deck": {
      "id": 0,
      "positions": [
        {
          "position": 0,
          "labwarePositions": [
            {
              "row": 0,
              "column": 0,
              "id": 0,
              "positionName": "string",
              "labwareGroup": {
                "labwareId": 0,
                "id": 0,
                "groupName": "string",
                "reuseTipsBetweenSteps": true,
                "liquidName": "string",
                "liquidType": "string",
                "liquidVolumeOptions": "string"
              },
              "liquidVolume": 0.1
            }
          ],
          "id": 0,
          "positionName": "string",
          "labwareGroup": {
            "labwareId": 0,
            "id": 0,
            "groupName": "string",
            "reuseTipsBetweenSteps": true,
            "liquidName": "string",
            "liquidType": "string",
            "liquidVolumeOptions": "string"
          },
          "liquidVolume": 0.1
        }
      ]
    }
  }'

Responses

The created protocol

Bodyapplication/json
isValidboolean

The flag determining if the protocol is valid (has been verified to run)

validationErrorsArray of strings or null

The validation errors found during the last verification, will be empty if isValid is true.

Response
application/json
{ "isValid": true, "validationErrors": [ "string" ] }

Retrieves the list of protocol names

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/names' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of protocols

Bodyapplication/jsonArray [
protocolIdinteger(int32)

The database id for the protocol

namestring or null

The name of the protocol

isVisibleboolean

Whether or not the protocol is visible

]
Response
application/json
[ { "protocolId": 0, "name": "string", "isVisible": true } ]

/api/v1/protocols/properties/step-types

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/properties/step-types' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations